<div class="app-main">
  <app-toolbar></app-toolbar>
  <mat-sidenav-container>
    <mat-sidenav #sidenav style="width: 250px;" mode="over">
      <div fxLayout="column">
        <ng-container *ngFor="let nav of navigations; let i = index;">
          <span *ngIf="nav.role=='none'" class="py-3 px-5 text-lg bg-ingenium-inv font-medium"> <i [ngClass]="nav.icons"></i> &nbsp;&nbsp;&nbsp; {{nav.name}}</span>
          <ng-container *ngFor="let child of nav.children; let j = index;">
            <span *ngIf="child.role=='none'" class="separate"> {{child.name}}</span>
            <ng-container *ngFor="let leaf of child.children">
              <a *ngIf="hasRole(leaf, i, j)" fxLayoutAlign="space-between stretch"
                 (click)="sidenav.toggle()"
                 [ngClass]="'index-inv'"
                 [routerLink]="[leaf.url]"> {{leaf.name}}
                 <span *ngIf="leaf.tags != '' " class="rounded-lg px-2" style="background: #d3cea6; color: black">{{leaf.tags}}</span>
              </a>
            </ng-container>
          </ng-container>
        </ng-container>
      </div>
    </mat-sidenav>
    <app-content></app-content>
  </mat-sidenav-container>
</div>
